Subject: RE: [External] : Re: bug#65186: 29.0.91; `dired-free-space' is a step backward

From: Drew Adams <[email-masked]>
Date: Thu, 9 Nov 2023 17:42:36 +0000

> > 2. For _each_ of the option values: when details are hidden, don't show
> any such info.  (Unless you add a separate option value for something
> different.  At least let users get the old behavior exactly, as one
> possibility)
> 
> The default display of the disk space info is on the same line as the
> directory name.  It doesn't get hidden when you press '(', and I'm not
> sure it should.  I made it be hidden for the 'separate' display,
> because that's how it behaved before Emacs 29, but there's no such
> precedent for the default value of 'first', and so what you want to
> happen in that case is just your personal opinion.  We don't need to
> agree about that.
> 
> And with that, I'm closing this bug.

Thanks for fixing what you fixed.

Wrt that last point/question:

1. I don't see that this is fixed even for `separate'.
I'm using Emacs 29.1.2.  I guess it was probably
fixed after that release.

2. The doc for `separate' (in 29.1.2, at least) is
incorrect, assuming this was fixed to not show the
info at all when details are hidden.

This should at least be spelled out in the doc string,
especially as someone wishing to minimize the display
might prefer `separate' but the doc for it gives the
impression that it always displays more, rather than
that it displays less when details are hidden.

3. FWIW, a reason to not want this info shown at all
when details are hidden is the case where you have
a feature that automatically sizes the window (or
frame) to the buffer-text width.

For many Dired listings file names are sufficiently
short that the buffer width would fit the longest
file name, but if the size info is shown then that
line will be the longest, and horizontal screen real
estate will be wasted, just for that line.  (And even
more space is wasted for `first' than for `separate'.)

I don't really see why users who choose `first' (the
default) would always want to see this info either.
They, even more than the `separate'ists, would want
a more minimal display, I think.

The reason you gave for not fixing this for `first'
was, I think, just that that's not the behavior in
the first release of this feature.  But neither was
the (now fixed, I hope) behavior of including the
info when `separate'.

IOW, the bug could usefully be fixed for both
`first' and `separate'.  When hiding details, what
sense does it make to increase the window width to
show such info?  Anyone who ever wants to see it
can simply hit `('.  And perhaps `(' again, to hide
details again.

Please reconsider your decision not to fix this
for all choices of `dired-free-space' when details
are hidden.  Hiding details should hide details.

The doc for that option might also usefully say
that if you change the value interactively, then
to see the effect in any existing Dired buffer
you can use `C-x v RET' (or similar).  IOW, let
users know not to expect that simply changing the
value changes an existing Dired buffer's display.

Thanks in advance for thinking this over again.